#!/bin/sh
export PATH='/usr/local/sbin:/usr/local/bin:/usr/bin:/usr/bin/site_perl:/usr/bin/vendor_perl:/usr/bin/core_perl'
printf '%s' 'name:                 ghcide
version:              2.0.0.0
visibility:           public
id:                   ghcide-2.0.0.0-Kl07NIqTBw1IxudqWSN9d0
key:                  ghcide-2.0.0.0-Kl07NIqTBw1IxudqWSN9d0
license:              Apache-2.0
copyright:            Digital Asset and Ghcide contributors 2018-2020
maintainer:           Ghcide contributors
author:               Digital Asset and Ghcide contributors
homepage:
    https://github.com/haskell/haskell-language-server/tree/master/ghcide#readme

synopsis:             The core of an IDE
description:          A library for building Haskell IDE'\''s on top of the GHC API.
category:             Development
abi:                  56b7761426a1e508907692cbeff7c339
exposed:              True
exposed-modules:
    Control.Concurrent.Strict Development.IDE
    Development.IDE.Core.Actions Development.IDE.Core.Compile
    Development.IDE.Core.Debouncer Development.IDE.Core.FileStore
    Development.IDE.Core.FileUtils
    Development.IDE.Core.IdeConfiguration
    Development.IDE.Core.OfInterest
    Development.IDE.Core.PositionMapping
    Development.IDE.Core.Preprocessor
    Development.IDE.Core.ProgressReporting
    Development.IDE.Core.RuleTypes Development.IDE.Core.Rules
    Development.IDE.Core.Service Development.IDE.Core.Shake
    Development.IDE.Core.Tracing Development.IDE.Core.UseStale
    Development.IDE.GHC.Compat Development.IDE.GHC.Compat.Core
    Development.IDE.GHC.Compat.Env Development.IDE.GHC.Compat.Iface
    Development.IDE.GHC.Compat.Logger
    Development.IDE.GHC.Compat.Outputable
    Development.IDE.GHC.Compat.Parser
    Development.IDE.GHC.Compat.Plugins Development.IDE.GHC.Compat.Units
    Development.IDE.GHC.Compat.Util Development.IDE.GHC.CoreFile
    Development.IDE.GHC.Error Development.IDE.GHC.Orphans
    Development.IDE.GHC.Util
    Development.IDE.Import.DependencyInformation
    Development.IDE.Import.FindImports
    Development.IDE.LSP.HoverDefinition
    Development.IDE.LSP.LanguageServer
    Development.IDE.LSP.Notifications Development.IDE.LSP.Outline
    Development.IDE.LSP.Server Development.IDE.Main
    Development.IDE.Main.HeapStats Development.IDE.Monitoring.EKG
    Development.IDE.Monitoring.OpenTelemetry Development.IDE.Plugin
    Development.IDE.Plugin.Completions
    Development.IDE.Plugin.Completions.Types Development.IDE.Plugin.HLS
    Development.IDE.Plugin.HLS.GhcIde Development.IDE.Plugin.Test
    Development.IDE.Plugin.TypeLenses Development.IDE.Session
    Development.IDE.Spans.AtPoint Development.IDE.Spans.Common
    Development.IDE.Spans.Documentation
    Development.IDE.Spans.LocalBindings Development.IDE.Spans.Pragmas
    Development.IDE.Types.Diagnostics Development.IDE.Types.Exports
    Development.IDE.Types.HscEnvEq Development.IDE.Types.KnownTargets
    Development.IDE.Types.Location Development.IDE.Types.Logger
    Development.IDE.Types.Monitoring Development.IDE.Types.Options
    Development.IDE.Types.Shake Generics.SYB.GHC Text.Fuzzy.Parallel

hidden-modules:
    Development.IDE.Core.FileExists Development.IDE.GHC.CPP
    Development.IDE.GHC.Warnings
    Development.IDE.Plugin.Completions.Logic
    Development.IDE.Session.VersionCheck Development.IDE.Types.Action

import-dirs:          /usr/lib/ghc-9.4.8/site-local/ghcide-2.0.0.0
library-dirs:         /usr/lib/ghc-9.4.8/site-local/ghcide-2.0.0.0
library-dirs-static:  /usr/lib/ghc-9.4.8/site-local/ghcide-2.0.0.0
dynamic-library-dirs: /usr/lib
data-dir:             /usr/share/haskell-ghcide
hs-libraries:         HSghcide-2.0.0.0-Kl07NIqTBw1IxudqWSN9d0
depends:
    Diff-0.4.1-LH1ky1AbixJl32mO74dkD Glob-0.10.2-FXgkuDBZUb2Gc2e66kmlY5
    aeson-2.1.2.1-G4Y2VMvw6jlHlUlOzfqhge
    aeson-pretty-0.8.10-KTiOu4YfIIJCr314ot6d0W array-0.5.4.0
    async-2.2.5-HIvtQdOwlf5Hsyin6u1n7Q base-4.17.2.1
    base16-bytestring-1.0.2.0-IEtpsrDkMVlLM4YsQhzHqm binary-0.8.9.1
    bytestring-0.11.5.3 case-insensitive-1.2.1.0-BBd0FN3VG9pHwba5nfbZ8v
    co-log-core-0.3.2.3-1k3G3kRu4JS6X7mFEq4nsf containers-0.6.7
    cryptohash-sha1-0.11.101.0-DnkaDkTFZXJ8uBZQXwirg6
    data-default-0.7.1.1-HuI8bY4bNR4F11jcRg6vOi deepseq-1.4.8.0
    dependent-map-0.4.0.0-2wDJHbNP5nu78dyZnZC5b8
    dependent-sum-0.7.2.0-F0ZO2eGLI8ND0Ok6E56REp directory-1.3.7.1
    dlist-1.0-I6FB5Nlk17hG16fxQzZSEb
    enummapset-0.7.3.0-L44K2pEQQIzLV29fsBb9cv exceptions-0.10.5
    extra-1.7.16-LRPaj0kKdYhA5DC3OzySjK filepath-1.4.2.2
    fingertree-0.1.5.0-KIsDGs6dB1pGDnIl3O0CzY
    focus-1.0.3.2-Alon18XPuFz7HsLhiMwWuo ghc-9.4.8 ghc-boot-9.4.8
    ghc-boot-th-9.4.8 ghc-check-0.5.0.8-EU555qQ9J2M4VHAJBTMdI5
    ghc-paths-0.1.0.12-8lmZj1VFo8V7iNy4rcXCyj
    ghc-trace-events-0.1.2.9-7ocQkvnjYWsA9rDcBsLuv7
    haddock-library-1.11.0-BioIar6p1j8I0h3xkA4zLB
    hashable-1.4.4.0-nWtkxUvx9i9tMRJKCZgnw
    hie-bios-0.12.0-24JNPX7tKiGDRfN9hnWW5f
    hie-compat-0.3.0.0-CbBComUrkWGfIGRN5OUf4
    hiedb-0.4.3.0-GbWrJ2JFYWf3KewwEzZ3xf
    hls-graph-2.0.0.0-6aKGFDEwcZ2Gewpz8C2a3M
    hls-plugin-api-2.0.0.0-CjPH3i9n95sAzh7VU9zzvQ
    implicit-hie-0.1.2.7-4NeWSBuOVVN81M7sxLb1Et
    implicit-hie-cradle-0.5.0.1-7IpjmeT9CjWLQhprFZzpew
    lens-5.2.3-DnVNcFpsuwMCXFWImXsY2L
    list-t-1.0.5.5-JRNLt6jCPTeGozvl94ZB6L
    lsp-1.6.0.0-EzZWHSTgh2eBqXWsr3rUZN
    lsp-types-1.6.0.1-H2fJZN43yMpAmyISbT7lDk mtl-2.2.2
    opentelemetry-0.8.0-1XYVj6L50eAG9JojJXk2JS
    optparse-applicative-0.17.1.0-3m15PZJ9R8tLZfnW85Yn0z
    parallel-3.2.2.0-KJ5o3ImR3G8wdLWLqGjpy
    prettyprinter-1.7.1-4Mn04lWp3HTA5zh48zv2n2
    prettyprinter-ansi-terminal-1.1.3-6Eao8UWEb6h5bk4KkwJP4W
    random-1.2.1.2-2GxRLB29YjZ5Hmc9ZOWGpv
    regex-tdfa-1.3.2.3-ATHs20GYS4zCnV1KwOyBL0
    safe-exceptions-0.1.7.4-ES7S1HwS0lOI4lBBxEPT7M
    sorted-list-0.2.2.0-3PKg8r9fLwKFsBj8pkAdRm
    sqlite-simple-0.4.19.0-KcDbg0O4BMIHp3L61SaiEJ stm-2.5.1.0
    stm-containers-1.2.1.1-6ZTyBDQF6JCBZjWFjnfcFG
    syb-0.7.2.4-1AaSJ4gAQqF80sCpMGQHRf text-2.0.2
    text-rope-0.3-LQnOkPra7OBdPtjtRqXTz time-1.12.2
    transformers-0.5.6.2 unix-2.7.3
    unliftio-0.2.25.1-LfkN9oBuVsC1PSAv8s4AS5
    unliftio-core-0.2.1.0-1JwPsdkrVim6892Z5vBeIT
    unordered-containers-0.2.20-1zjZuvvQz6A9v2Utwl5wnX
    vector-0.13.1.0-D9au4GPCsbT1DKgXASrr5O

haddock-interfaces:   /usr/share/doc/haskell-ghcide/html/ghcide.haddock
haddock-html:         /usr/share/doc/haskell-ghcide/html
' | '/usr/bin/ghc-pkg-9.4.8' 'update' '--force' '-' '--global' '--no-user-package-db' "$@"

